Skip to main content
GET
/
projects
/
{project_id}
/
translations
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/translations/:id?branch=my-feature-branch" \
  -u USERNAME_OR_ACCESS_TOKEN
phrase translations show \
--project_id <project_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/translations/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/projects/{project_id}/translations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "content": "My translation",
  "unverified": false,
  "excluded": false,
  "plural_suffix": "",
  "key": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "home.index.headline",
    "plural": false,
    "use_ordinal_rules": false
  },
  "locale": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "de",
    "code": "de-DE"
  },
  "placeholders": [
    "%{count}"
  ],
  "state": "translated",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "user": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "word_count": 2
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

id
string
required

ID

Query Parameters

branch
string

specify the branch to use

Response

OK

id
string
content
string
unverified
boolean
excluded
boolean
plural_suffix
string
key
key_preview · object
Example:

null

locale
locale_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
placeholders
string[]
state
string
created_at
string<date-time>
updated_at
string<date-time>
linked_translation
translation_parent · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"content": "My parent translation"
}
user
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
word_count
integer